
<template>
  <div>
    <b-container>
      <b-row align-h="center" class="mt-5">
        <b-col cols="8">
          <b-card class="mt-4">
          <h1>Cadastrar-se</h1>
            <b-form @submit="onSubmit" @reset="onReset" v-if="show">
              <b-form-group id="input-group-1" label="Nome:" label-for="input-1">
                <b-form-input
                  id="input-1"
                  v-model="form.nome"
                  type="text"
                  required
                  placeholder="Digite seu nome completo"
                ></b-form-input>
              </b-form-group>

              <b-form-group id="input-group-2" label="Nickname:" label-for="input-2">
                <b-form-input
                  id="input-2"
                  v-model="form.nick"
                  type="text"
                  required
                  placeholder="Digite seu nome heróico"
                ></b-form-input>
              </b-form-group>

              <b-form-group id="input-group-3" label="Senha:" label-for="input-3">
                <b-form-input
                  id="input-3"
                  v-model="form.senha"
                  type="password"
                  required
                  placeholder="Digite sua Senha"
                ></b-form-input>
              </b-form-group>

              <b-form-group id="input-group-4" label="Email:" label-for="input-4">
                <b-form-input
                  id="input-4"
                  v-model="form.email"
                  type="email"
                  required
                  placeholder="Digite seu email"
                ></b-form-input>
              </b-form-group>

              <b-button type="submit" variant="primary">Cadastrar</b-button>
              <b-button type="reset" variant="danger">Limpar</b-button>
            </b-form>
          </b-card>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>

<script>
import axios from "axios";

export default {
  data() {
    return {
      form: {
        nome: "",
        nick: "",
        senha: "",
        email: "",
        tipo: "admin"
      },
      show: true
    };
  },
  methods: {
    onSubmit(evt) {
      evt.preventDefault();
      axios.post('https://indienest.herokuapp.com/usuario', this.form, {useCredentails: true}).then(res => {
      console.log(res.data)
      }).catch( err => {
      console.log(err.res)
      })
      
    },
    onReset(evt) {
      evt.preventDefault();
      // reseta os dados do formulario
      this.form.nome = "";
      this.form.nick = "";
      this.form.senha = "";
      this.form.email = "";
      // gatilho de estado nativo do browser para limpar formulario
      this.show = false;
      this.$nextTick(() => {
        this.show = true;
      });
    }
  }
};
</script>